Uploaded image for project: 'Shiro'
  1. Shiro
  2. SHIRO-560

Shiro-web feature can't be installed in karaf 4.0.4

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Resolved
    • Affects Version/s: 1.2.4
    • Fix Version/s: 1.4.1
    • Component/s: Web
    • Labels:
    • Environment:
      karaf 4.0.4

      Description

      Installation of shiro-web/1.2.4 feature in karaf 4.0.4 raises missing requirement exception.

      karaf@root()> feature:install shiro-web/1.2.4
      Error executing command: Unable to resolve root: missing requirement [ root ] osgi.identity; osgi.identity=war; type=karaf.feature; version="[2.0.0,4.0.0)"

      Will shiro-web feature be supported in karaf 4.x?

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                fpapon Francois Papon
                Reporter:
                kuvalda Pavel Alekhin
              • Votes:
                1 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: